using Jose;
using Microsoft.Extensions.Logging;
using Microsoft.IdentityModel.Tokens;

namespace FitConnect.Services;

internal class SelfServicePortalService : RestCallService, ISelfServicePortalService {
    public SelfServicePortalService(string baseUrl, string version = "v1",
        ILogger? logger = null) : base($"{baseUrl}", logger) {
    }

    public async Task<JsonWebKeySet> GetValidationJwk() {
        var content = await RestCallForString("/.well-known/jwks.json", HttpMethod.Get);
        return new JsonWebKeySet(content);
    }
}
